using NPin.Application.Contracts;
using NPin.Domain;
using NPin.Framework.Ddd.Application;
using NPin.Framework.TenantManagement.Application;

namespace NPin.Application;

[DependsOn(
    typeof(NPinApplicationContractsModule),
    typeof(NPinDomainModule),
    // TODO rbac bbs
    typeof(NPinFrameworkTenantManagementApplicationModule),
    // TODO code-gen
    typeof(NPinFrameworkDddApplicationModule)
)]
public class NPinApplicationModule : AbpModule
{
}